public class Neighbors
{
  private char[] keys;
  private Cell[] data;
  private int    size;
  
  public Neighbors()
  {
    keys = new char[4];
    data = new Cell[4];
    size = 0;
  }
  
  public void add( char key, Cell value )
  {
    if ( size >= data.length ) return;
    keys[ size ] = key;
    data[size++] = value;
  }
  
  public Cell at( char key )
  {
    for (int i = 0; i < size; i++)
      if ( keys[i] == key )
        return data[i];
    return null;
  }
}