import java.io.FilterInputStream;
import java.io.InputStream;
import java.io.IOException;

public class LowerCaseInputStream extends FilterInputStream
{
  public LowerCaseInputStream( InputStream s )
  {
    super( s );
  }

  public int read() throws IOException
  {
    int c = super.read();
    if ( 65 <= c && c <= 90 )
      return (int) Character.toLowerCase(c);
    return c;
  }
}
